[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TParam.AsSmallInt

Get/Set parameter value as a smallint value

## Declaration

Source position: db.pas line 1196

`public property TParam.AsSmallInt : LongInt read GetAsInteger write SetAsSmallInt;`

## Description

AsSmallint will return the parameter value as a 16-bit signed integer value. If it is written, the value is set to the specified value and the data type is set to ftSmallint.

## See also

TParam.AsInteger |  | Get/Set parameter value as an integer (32-bit) value
TParam.AsLargeInt |  | Get/Set parameter value as a 64-bit integer value
TParam.AsWord |  | Get/Set parameter value as a word value
TParam.DataType |  | Data type of the parameter
TParam.Value |  | Value as a variant

Documentation generated on: Feb 26 2014